PropertyRewritePolicy (Apache Log4j 1.2.17 API)
Date: 2012-05-06

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.log4j.rewrite
Class PropertyRewritePolicy

    java.lang.Object
      org.apache.log4j.rewrite.PropertyRewritePolicy

All Implemented Interfaces:
  RewritePolicy

    public class PropertyRewritePolicy

extends Object
implements RewritePolicy

This policy rewrites events by adding a user-specified list of properties to the event. Existing properties are not modified. The combination of the RewriteAppender and this policy performs the same actions as the PropertyFilter from log4j 1.3.

Constructor Summary
`PropertyRewritePolicy()`

Method Summary
`LoggingEvent` | `rewrite(LoggingEvent source)` Rewrite a logging event.
`void` | `setProperties(String props)` Set a string representing the property name/value pairs.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PropertyRewritePolicy

    public PropertyRewritePolicy()

Method Detail

### setProperties

    public void setProperties(String props)

  Set a string representing the property name/value pairs. Form: propname1=propvalue1,propname2=propvalue2

  Parameters:
    `props` -

### rewrite

    public LoggingEvent rewrite(LoggingEvent source)

  Rewrite a logging event.

  Specified by:
    `rewrite` in interface `RewritePolicy`
  Parameters:
    `source` - a logging event that may be returned or used to create a new logging event.
  Returns:
    a logging event or null to suppress processing.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2012 Apache Software Foundation. All Rights Reserved.